> For the complete documentation index, see [llms.txt](https://docs.bird.com/connectivity-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/connectivity-platform/using-the-abandoned-cart-recovery-solution/checkout-events-from-shopify.md).

# Checkout events from Shopify

Here's a sample of the data you can work with on the MessageBird platform for Checkouts. Keep in mind that the availability of some fields in this data set depends on how your store is configured regarding checkouts, accounts and information you collect from customers. You can refer to this sample to understand the possibilities on how to improve your conditions and data collection from customers to make sure mandatory information—like the users’ phone numbers—is collected.&#x20;

Sample from Shopify:\ <br>

```
{
  "id": 981820079255243537,
  "token": "123123123",
  "cart_token": "eeafa272cebfd4b22385bc4b645e762c",
  "email": "example@email.com",
  "gateway": null,
  "buyer_accepts_marketing": false,
  "created_at": "2020-03-04T12:38:08-05:00",
  "updated_at": "2020-03-04T12:38:08-05:00",
  "landing_site": null,
  "note": null,
  "note_attributes": [
  ],
  "referring_site": null,
  "shipping_lines": [
  ],
  "taxes_included": false,
  "total_weight": 907,
  "currency": "USD",
  "completed_at": null,
  "closed_at": null,
  "user_id": null,
  "location_id": null,
  "source_identifier": null,
  "source_url": null,
  "device_id": null,
  "phone": null,
  "customer_locale": null,
  "line_items": [
    {
      "applied_discounts": [
      ],
      "key": "4d50cb97a8bb64255d7882e313a5c8d3",
      "destination_location_id": 938998181,
      "fulfillment_service": "manual",
      "gift_card": false,
      "grams": 454,
      "origin_location_id": 938998180,
      "product_id": 632910392,
      "properties": null,
      "quantity": 1,
      "requires_shipping": true,
      "sku": "IPOD2008PINK",
      "tax_lines": [
      ],
      "taxable": true,
      "title": "IPod Nano - 8GB",
      "variant_id": null,
      "variant_title": "",
      "variant_price": null,
      "vendor": "Apple",
      "user_id": null,
      "unit_price_measurement": null,
      "country_hs_codes": [
      ],
      "country_code_of_origin": null,
      "province_code_of_origin": null,
      "harmonized_system_code": null,
      "compare_at_price": null,
      "line_price": "199.00",
      "price": "199.00"
    },
    {
      "applied_discounts": [
      ],
      "key": "4d50cb97a8bb64255d7882e313a5c8d3",
      "destination_location_id": 938998181,
      "fulfillment_service": "manual",
      "gift_card": false,
      "grams": 454,
      "origin_location_id": 938998180,
      "product_id": 632910392,
      "properties": null,
      "quantity": 1,
      "requires_shipping": true,
      "sku": "IPOD2008PINK",
      "tax_lines": [
      ],
      "taxable": true,
      "title": "IPod Nano - 8GB",
      "variant_id": null,
      "variant_title": "",
      "variant_price": null,
      "vendor": "Apple",
      "user_id": null,
      "unit_price_measurement": null,
      "country_hs_codes": [
      ],
      "country_code_of_origin": null,
      "province_code_of_origin": null,
      "harmonized_system_code": null,
      "compare_at_price": null,
      "line_price": "199.00",
      "price": "199.00"
    }
  ],
  "name": "#981820079255243537",
  "source": null,
  "abandoned_checkout_url": "https:\/\/checkout.local\/690933842\/checkouts\/123123123\/recover?key=example-secret-token",
  "discount_codes": [
  ],
  "tax_lines": [
  ],
  "source_name": "web",
  "presentment_currency": "USD",
  "total_discounts": "0.00",
  "total_line_items_price": "398.00",
  "total_price": "398.00",
  "total_tax": "0.00",
  "subtotal_price": "398.00",
  "billing_address": {
    "first_name": "Bob",
    "address1": "123 Billing Street",
    "phone": "555-555-BILL",
    "city": "Billtown",
    "zip": "K2P0B0",
    "province": "Kentucky",
    "country": "United States",
    "last_name": "Biller",
    "address2": null,
    "company": "My Company",
    "latitude": null,
    "longitude": null,
    "name": "Bob Biller",
    "country_code": "US",
    "province_code": "KY"
  },
  "shipping_address": {
    "first_name": "Steve",
    "address1": "123 Shipping Street",
    "phone": "555-555-SHIP",
    "city": "Shippington",
    "zip": "K2P0S0",
    "province": "Kentucky",
    "country": "United States",
    "last_name": "Shipper",
    "address2": null,
    "company": "Shipping Company",
    "latitude": null,
    "longitude": null,
    "name": "Steve Shipper",
    "country_code": "US",
    "province_code": "KY"
  },
  "customer": {
    "id": 603851970716743426,
    "email": "john@test.com",
    "accepts_marketing": false,
    "created_at": null,
    "updated_at": null,
    "first_name": "John",
    "last_name": "Smith",
    "orders_count": 0,
    "state": "disabled",
    "total_spent": "0.00",
    "last_order_id": null,
    "note": null,
    "verified_email": true,
    "multipass_identifier": null,
    "tax_exempt": false,
    "phone": null,
    "tags": "",
    "last_order_name": null,
    "currency": "USD",
    "accepts_marketing_updated_at": null,
    "marketing_opt_in_level": null,
    "admin_graphql_api_id": "gid:\/\/shopify\/Customer\/603851970716743426",
    "default_address": {
      "id": 1234567890,
      "customer_id": 603851970716743426,
      "first_name": null,
      "last_name": null,
      "company": null,
      "address1": "123 Elm St.",
      "address2": null,
      "city": "Ottawa",
      "province": "Ontario",
      "country": "Canada",
      "zip": "K2H7A8",
      "phone": "123-123-1234",
      "name": "",
      "province_code": "ON",
      "country_code": "CA",
      "country_name": "Canada",
      "default": true
    }
  }
}

```

&#x20;

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/connectivity-platform/using-the-abandoned-cart-recovery-solution/checkout-events-from-shopify.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
